#include "config.h"

int inet_aton(const char *hostname, struct in_addr *addr)
{
    unsigned long ret;
    ret = inet_addr(hostname);
    if (ret == INADDR_NONE || (ret == 0 && strcmp(hostname, "0.0.0.0")))
        return 0;    
    addr->S_un.S_addr = ret;
    return 1;
}

int fcntl(SOCKET sock, int action, int value)
{
    if (action == F_GETFL) {
        /* !!!! */
        return 0;
    }
    if (action == F_SETFL) {
        int tmp;
        if ((value & O_NONBLOCK)) {
            tmp = 1;
        } else {
            tmp = 0;
        }
        if (ioctlsocket(sock, FIONBIO, (u_long FAR *) &tmp) == SOCKET_ERROR) {
            return -1;
        }

        return 0;
    }

    assert(FALSE);
    return -1;
}

char *strndup(const char *str, size_t len)
{
    size_t s_len;
    char *ret;
    s_len = strlen(str);
    len = min(len, s_len);
    ret = malloc(len + 1);
    memcpy(ret, str, len);
    ret[len] = '\0';
    return ret;
}

int gettimeofday(struct timeval *tv, void *timezone)
{
	struct _timeb currSysTime;
	_ftime(&currSysTime);
	
	tv->tv_sec = currSysTime.time;
	tv->tv_usec = currSysTime.millitm * 1000;

    return 0;
}

void sleep(unsigned int seconds)
{
    Sleep(seconds * 1000);
}
